<?php
namespace Pinpoint\Conesso\Console\Command\Products;

use Pinpoint\Conesso\Model\Api\Management\Process\ProcessFactory;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

/**
 * Class Migrate Products Command
 */
class MigrateProductsCommand extends Command
{

    private $processFactory;
    public function __construct(
        ProcessFactory $processFactory
    )
    {
        $this->processFactory = $processFactory;
        parent::__construct();
    }
    /**
     * @inheritDoc
     */
    protected function configure()
    {
        $this->setName('conesso:migrate:products');
        $this->setDescription('Truncate all existing rows and populate table with new entry.');
        parent::configure();
    }

    /**
     * Execute the command
     *
     * @param InputInterface $input
     * @param OutputInterface $output
     *
     */
    protected function execute(InputInterface $input, OutputInterface $output)
    {
        $result = $this->processFactory->getProcess('products')->migrateData();
        $output->writeln('<info>Success Message.</info>');
        return 0;
    }
}
