<?php
namespace Pinpoint\Conesso\Model\Api\Management\Transfer\Request;

use Conesso\Client;
use Pinpoint\Conesso\Api\Transfer\RequestInterface;
use Pinpoint\Conesso\Model\Api\Access\Auth;

abstract class AbstractRequest implements RequestInterface
{
    /**
     * @var Auth
     */
    protected $authorization;

    /**
     * @param Auth $authorization
     */
    public function __construct(
        Auth $authorization
    ) {
        $this->authorization = $authorization;
    }

    /**
     * @param mixed $item
     * @return mixed
     */
    abstract public function buildData(mixed $item);

    /**
     * @param mixed $data
     * @return bool
     */
    abstract public function sendRequest(mixed $data) : bool;

    /**
     * @return Client
     */
    protected function getConnessoClient()
    {
        return $this->authorization->getConnessoClient();
    }
}

