<?php
namespace Pinpoint\Conesso\Model;

use Magento\Framework\Model\AbstractModel;
use Pinpoint\Conesso\Api\Data\ContactSyncInterface;
use Pinpoint\Conesso\Model\ResourceModel\SyncContacts as SyncContactsResourceModel;
class SyncContacts extends AbstractModel implements ContactSyncInterface
{
    /**
     * Cache tag
     */
    const CACHE_TAG = ContactSyncInterface::SCHEMA;

    protected function _construct()
    {
        $this->_init(SyncContactsResourceModel::class);
    }

    public function getId() : ?int
    {
        return $this->getData(ContactSyncInterface::ID);
    }

    public function setId($id)
    {
        return $this->setData(ContactSyncInterface::ID, $id);
    }

    public function getCustomerId() : ?int
    {
        return $this->getData(ContactSyncInterface::CUSTOMER_ID);

    }

    public function setCustomerId($orderId)
    {
        return $this->setData(ContactSyncInterface::CUSTOMER_ID, $orderId);
    }

    public function getCustomerEmail(): ?string
    {
        return $this->getData(ContactSyncInterface::CUSTOMER_EMAIL);
    }

    public function setCustomerEmail($orderId): SyncContacts
    {
        return $this->setData(ContactSyncInterface::CUSTOMER_ID, $orderId);
    }

    public function getEventType() : ?string
    {
        return $this->getData(ContactSyncInterface::EVENT_TYPE);
    }

    public function setEventType($eventType)
    {
        return $this->setData(ContactSyncInterface::EVENT_TYPE, $eventType);
    }

    public function getStoreId() : int
    {
        return $this->getData(ContactSyncInterface::STORE_ID);
    }

    public function setStoreId($storeId)
    {
        return $this->setData(ContactSyncInterface::STORE_ID, $storeId);
    }

    public function getCreatedAt()
    {
        return $this->getData(ContactSyncInterface::CREATED_AT);
    }

    public function setCreatedAt($createdAt)
    {
        return $this->setData(ContactSyncInterface::CREATED_AT, $createdAt);
    }

    public function getUpdatedAt()
    {
        return $this->getData(ContactSyncInterface::UPDATED_AT);
    }

    public function setUpdatedAt($updatedAt)
    {
        return $this->setData(ContactSyncInterface::UPDATED_AT, $updatedAt);
    }

    public function getIsSynced() : int
    {
        return $this->getData(ContactSyncInterface::IS_SYNCED);
    }

    public function setIsSynced($isSynced)
    {
        return $this->setData(ContactSyncInterface::IS_SYNCED, $isSynced);
    }

}
