<?php
namespace Pinpoint\Conesso\Plugin\Customer;

use Exception;
use Magento\Customer\Model\ResourceModel\CustomerRepository;
use Pinpoint\Conesso\Api\Data\ContactSyncInterface;
use Pinpoint\Conesso\Model\Api\Management\Log\Customer\LogCustomerInterface;

class CustomerAfterSave
{
    /**
     * @var LogCustomerInterface
     */
    private LogCustomerInterface $logCustomer;

    /**
     * @param LogCustomerInterface $logCustomer
     */
    public function __construct(
        LogCustomerInterface $logCustomer
    ) {
        $this->logCustomer = $logCustomer;
    }

    /**
     * @param CustomerRepository $subject
     * @param $savedCustomer
     * @return mixed
     */
    public function afterSave(
        CustomerRepository $subject,
        $savedCustomer
    ): mixed
    {
        try {
            $this->logCustomer->logCustomer($savedCustomer,ContactSyncInterface::EVENT_TYPE_SAVE);
        } catch(Exception $e) {
            var_dump($e->getMessage());
        }
        return $savedCustomer;
    }
}
